package com.luojigou.product.base

import android.view.View
import android.widget.Button
import com.luojigou.product.R

abstract class AbsIntroduceActivity : BaseActivity(), View.OnClickListener {

    private lateinit var buttonStart: Button

    override fun onCreate(savedInstanceState: android.os.Bundle?) {
        super.onCreate(savedInstanceState)
        setTitle("连接引导")
        buttonStart = findViewById(R.id.btn_intro_start)
        buttonStart.setOnClickListener(this)
    }

    override fun getLayoutId(): Int = R.layout.activity_xd_introduce

    override fun onClick(v: View?) {
        when (v?.id) {
            R.id.btn_intro_start -> startActivity()
        }
    }

    abstract fun startActivity()
}