package com.luojigou.product.xiaodou.ble

sealed class XDScanBLEStatus {
    object Disabled : XDScanBLEStatus()
    object Permission : XDScanBLEStatus()
    object NotSupported : XDScanBLEStatus()
    object Normal : XDScanBLEStatus()

    interface Host {
        fun onStatusChanged(status: XDScanBLEStatus)
    }
}