package com.luojigou.product.xiaodou.wifi

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.EditText
import com.google.android.material.bottomsheet.BottomSheetDialogFragment
import com.luojigou.product.R

class XDScanWifiPasswordFragment(private val onPasswordEdit: (password: String) -> Unit) :
    BottomSheetDialogFragment() {
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        return inflater.inflate(R.layout.fragment_scanwifi_password, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val editText = view.findViewById<EditText>(R.id.et_pwd)
        val button = view.findViewById<Button>(R.id.btn_pwd)

        button.setOnClickListener {
            val text = editText.getText()
            onPasswordEdit.invoke(text.toString())
            dismiss()
        }
    }
}